Name:           perl-Net-LibNFS
Version:        0.05
Release:        1%{?dist}
Summary:        User-land NFS in Perl via libnfs
# bundled easyxs is MIT
License:        (GPL-1.0-or-later OR Artistic-1.0-Perl) AND MIT
URL:            https://metacpan.org/dist/Net-LibNFS
Source0:        https://www.cpan.org/authors/id/F/FE/FELIPE/Net-LibNFS-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  libnfs-devel >= 5.0.0
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Errno)
BuildRequires:  perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(IO::Async::Handle)
BuildRequires:  perl(IO::Async::Loop)
BuildRequires:  perl(IO::Async::Timer::Periodic)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Promise::XS) >= 0.16
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(X::Tiny) >= 0.22
BuildRequires:  perl(X::Tiny::Base)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(constant)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(Mojo::IOLoop)
Requires:       perl(Promise::XS) >= 0.16
Requires:       perl(X::Tiny) >= 0.22

%description
libnfs allows you to access NFS shares in user-space. Thus you can read &
write files via NFS even if you can’t (or just would rather not) mount(8)
them locally.

%prep
%setup -q -n Net-LibNFS-%{version}
cp -p easyxs/LICENSE LICENSE.easyxs

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README.md
%license LICENSE.easyxs
%dir %{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Net/LibNFS*
%dir %{perl_vendorarch}/Net
%{perl_vendorarch}/Net/LibNFS*
%{_mandir}/man3/Net::LibNFS*

%changelog
* Tue Feb 18 2025 Chris Adams <linux@cmadams.net> 0.05-1
- initial package
